$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.138.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.138.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F8C9EFEE196703BAB6F1BDE230A83847E4ABF75CA32F594CCD2D745C48DFA9BA'
  checksumType = 'sha256'
  checksum64 = 'F8C9EFEE196703BAB6F1BDE230A83847E4ABF75CA32F594CCD2D745C48DFA9BA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.138-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
